Mailinglist Archive: opensuse-updates (124 mails)

< Previous Next >
openSUSE-SU-2017:2016-1: moderate: Security update for apache2
openSUSE Security Update: Security update for apache2
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:2016-1
Rating: moderate
References: #1023616 #1043055 #1048576
Cross-References: CVE-2017-9788
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that solves one vulnerability and has two fixes
is now available.

Description:

This update for apache2 fixes the following issues:

Security issue fixed:

- CVE-2017-9788: Uninitialized memory reflection in mod_auth_digest.
(bsc#1048576)

Bug fixes:

- Include individual sysconfig.d files instead of the whole sysconfig.d
directory.
- Include sysconfig.d/include.conf after httpd.conf is processed.
(bsc#1023616, bsc#1043055)

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2017-865=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-865=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

apache2-2.4.23-13.1
apache2-debuginfo-2.4.23-13.1
apache2-debugsource-2.4.23-13.1
apache2-devel-2.4.23-13.1
apache2-event-2.4.23-13.1
apache2-event-debuginfo-2.4.23-13.1
apache2-example-pages-2.4.23-13.1
apache2-prefork-2.4.23-13.1
apache2-prefork-debuginfo-2.4.23-13.1
apache2-utils-2.4.23-13.1
apache2-utils-debuginfo-2.4.23-13.1
apache2-worker-2.4.23-13.1
apache2-worker-debuginfo-2.4.23-13.1

- openSUSE Leap 42.3 (noarch):

apache2-doc-2.4.23-13.1

- openSUSE Leap 42.2 (i586 x86_64):

apache2-2.4.23-8.9.1
apache2-debuginfo-2.4.23-8.9.1
apache2-debugsource-2.4.23-8.9.1
apache2-devel-2.4.23-8.9.1
apache2-event-2.4.23-8.9.1
apache2-event-debuginfo-2.4.23-8.9.1
apache2-example-pages-2.4.23-8.9.1
apache2-prefork-2.4.23-8.9.1
apache2-prefork-debuginfo-2.4.23-8.9.1
apache2-utils-2.4.23-8.9.1
apache2-utils-debuginfo-2.4.23-8.9.1
apache2-worker-2.4.23-8.9.1
apache2-worker-debuginfo-2.4.23-8.9.1

- openSUSE Leap 42.2 (noarch):

apache2-doc-2.4.23-8.9.1


References:

https://www.suse.com/security/cve/CVE-2017-9788.html
https://bugzilla.suse.com/1023616
https://bugzilla.suse.com/1043055
https://bugzilla.suse.com/1048576


< Previous Next >
This Thread
  • No further messages